Subject: Re: UTF-8 newsgroup name feedback

From: Harald Alvestrand <[email-masked]>
Date: Mon, 01 Feb 2010 14:43:32 +0100

Julien ÉLIE wrote:
>
> Hi all,
>
> For they who are interested, I have just sent a newgroup
> control article for local.test.υτφ8 so that you could
> retrieve it and eventually process it (changing "local"
> to whatever you want):
>
>    <news:[email-masked]>
>
>
> Note for inn-workers
> --------------------
> I confirm it works fine with INN provided that we remove
> the check for [^a-z0-9+_\-] in a newsgroup name (enforced
> by controlchan).  I suggest that we remove it in INN 2.5.2.
> We can reintegrate a better check with allowed UTF-8 values
> in future versions of INN.
>
>
> Note for USEFOR
> ---------------
> In case someone wants to see what the result is, you can use
> news.trigofacile.com on port 119.
> The trigofacile.test.υτφ8 newsgroup has been created in UTF-8.
> It is readable by everyone.
>
> If you want to post, authenticate with user "test" and password
> "test".
>
> The group properly shows up in LIST ACTIVE and LIST NEWSGROUPS.
>
>
> Unfortunately, Windows Mail is unable to post to it...  It says
> the group does not exist and refuses to send my post.
> Well, let's crosspost then to trigofacile.test.υτφ8 and trigofacile.test.
>
> And what does Windows Mail send to the server?
>
> Newsgroups: 
> =?UTF-8?Q?trigofacile.test.=CF=85=CF=84=CF=868=2Ctrigofacil?=\r\n
> \t=?UTF-8?Q?e.test?=\r\n
> Followup-To: =?UTF-8?Q?trigofacile.test.=CF=85=CF=84=CF=868?=\r\n
>
> Gosh, that's not a success at all for Windows Mail :-/
Thanks for those tests!

It seems that you have demonstrated the existence of a large body of 
deployed software (including, but not limited to, Windows Mail and 
unmodified INN) that will not work with UTF-8 newsgroup names.

That leads me to suggest that if we want to have UTF-8 newsgroup names, 
perhaps we need to have a capability signallling mechanism and some kind 
of block/downgrade mechanism (one could imagine simply not distributing 
or admitting the existence of UTF-8 newsgroups to anyone who does not 
signal support, or one could imagine more complex schemes.

                          Harald